Closed Bug 1220633 Opened 4 years ago Closed 4 years ago

Gradle wrapper: Use distribution with sources

Categories

(Firefox Build System :: Android Studio and Gradle Integration, defect)

All
Android
defect
Not set

Tracking

(firefox45 fixed)

RESOLVED FIXED
mozilla45
Tracking Status
firefox45 --- fixed

People

(Reporter: sebastian, Assigned: sebastian)

Details

Attachments

(2 files)

Attached image gradle-with-sources.png
IntelliJ suggests to configure Gradle wrapper to use a distribution with sources (gradle-2.7-all.zip vs. gradle-2.7-bin.zip) to get Gradle API/DSL documentation.
This is the change IntelliJ applies if you accept.
I thought of doing this, but:

nalexander@chocho ~/M/gecko> curl -I -L "https://services.gradle.org/distributions/gradle-2.7-all.zip"
HTTP/1.1 301 Moved Permanently
Server: cloudflare-nginx
Date: Mon, 02 Nov 2015 16:20:07 GMT
Content-Type: text/html; charset=iso-8859-1
Connection: keep-alive
Set-Cookie: __cfduid=d1cb814859a18bce734be1c85a3fa35f31446481207; expires=Tue, 01-Nov-16 16:20:07 GMT; path=/; domain=.gradle.org; HttpOnly
Location: https://downloads.gradle.org/distributions/gradle-2.7-all.zip
Cache-Control: max-age=600
Expires: Mon, 02 Nov 2015 16:30:06 GMT
Vary: Accept-Encoding
CF-RAY: 23f12a3b6ffc29e9-SEA

HTTP/1.1 200 OK
Content-Type: application/zip
Content-Length: 65866593
Connection: keep-alive
Date: Tue, 27 Oct 2015 21:21:39 GMT
x-amz-meta-gradle-release-date: 20150914072616+0000
x-amz-meta-md5-hash: 77a77e364c1e2005c62909e6f51a434a
Last-Modified: Mon, 14 Sep 2015 07:38:14 GMT
ETag: "77a77e364c1e2005c62909e6f51a434a"
Accept-Ranges: bytes
Server: AmazonS3
Age: 500310
X-Cache: Hit from cloudfront
Via: 1.1 73b5e08c6138e8537ea4c8edfef5e6df.cloudfront.net (CloudFront)
X-Amz-Cf-Id: 2-G6pvGCG1IGMM5EcdHouRhp0XSyWaip7Mthz1uII8keQHCaYxy1lA==

nalexander@chocho ~/M/gecko> curl -I -L "https://services.gradle.org/distributions/gradle-2.7-bin.zip"
HTTP/1.1 301 Moved Permanently
Server: cloudflare-nginx
Date: Mon, 02 Nov 2015 16:20:12 GMT
Content-Type: text/html; charset=iso-8859-1
Connection: keep-alive
Set-Cookie: __cfduid=d99a9e53b6cdf22eb0e73bfdca527d4311446481212; expires=Tue, 01-Nov-16 16:20:12 GMT; path=/; domain=.gradle.org; HttpOnly
Location: https://downloads.gradle.org/distributions/gradle-2.7-bin.zip
Cache-Control: max-age=600
Expires: Mon, 02 Nov 2015 16:30:11 GMT
Vary: Accept-Encoding
CF-RAY: 23f12a593ffb2a91-SEA

HTTP/1.1 200 OK
Content-Type: application/zip
Content-Length: 44809759
Connection: keep-alive
Date: Sat, 31 Oct 2015 02:16:22 GMT
x-amz-meta-gradle-release-date: 20150914072616+0000
x-amz-meta-md5-hash: fe801ce2166e6c5b48b3e7ba81277c41
Last-Modified: Mon, 14 Sep 2015 07:38:25 GMT
ETag: "fe801ce2166e6c5b48b3e7ba81277c41"
Accept-Ranges: bytes
Server: AmazonS3
Age: 223431
X-Cache: Hit from cloudfront
Via: 1.1 570a1979c411cb4529fa1e711db52490.cloudfront.net (CloudFront)
X-Amz-Cf-Id: U3WSw7rSSKVudhgvQjh4tQVvOoUO5GS03Pf5NoyuapoOLyb7kiuqLA==

So 20Mb difference.  It's a one-time thing, and the nag is *super annoying*.  Ship it!
Assignee: nobody → s.kaspari
https://hg.mozilla.org/mozilla-central/rev/21e13fb71622
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 45
Product: Firefox for Android → Firefox Build System
Target Milestone: Firefox 45 → mozilla45
You need to log in before you can comment on or make changes to this bug.